## mathcomp-zify 1.5.0+2.0+8.16

=== Makefile ===
# KNOWNTARGETS will not be passed along to CoqMakefile
KNOWNTARGETS := Makefile.coq Makefile.test-suite.coq test-suite \
				clean cleanall distclean
# KNOWNFILES will not get implicit targets from the final rule, and so
# depending on them won't invoke the submake
# Warning: These files get declared as PHONY, so any targets depending
# on them always get rebuilt
KNOWNFILES   := Makefile Make Make.test-suite

.DEFAULT_GOAL := invoke-coqmakefile

ifneq "$(TEST_SKIP_BUILD)" ""
TEST_DEP :=
LIBRARY_PATH :=
else
TEST_DEP := invoke-coqmakefile
LIBRARY_PATH := -R theories mathcomp.zify
endif

COQMAKEFILE       = $(COQBIN)coq_makefile
COQMAKE           = $(MAKE) --no-print-directory -f Makefile.coq
COQMAKE_TESTSUITE = $(MAKE) --no-print-directory -f Makefile.test-suite.coq

Makefile.coq: Makefile Make
	$(COQMAKEFILE) -f Make -o Makefile.coq

Makefile.test-suite.coq: Makefile Make.test-suite
	$(COQMAKEFILE) -f Make.test-suite $(LIBRARY_PATH) -o Makefile.test-suite.coq

invoke-coqmakefile: Makefile.coq
	$(COQMAKE) $(filter-out $(KNOWNTARGETS),$(MAKECMDGOALS))

test-suite: Makefile.test-suite.coq invoke-coqmakefile
	$(COQMAKE_TESTSUITE)

clean::
	@if [ -f Makefile.coq ]; then $(COQMAKE) clean; fi
	@if [ -f Makefile.test-suite.coq ]; then $(COQMAKE_TESTSUITE) clean; fi

cleanall::
	@if [ -f Makefile.coq ]; then $(COQMAKE) cleanall; fi
	@if [ -f Makefile.test-suite.coq ]; then $(COQMAKE_TESTSUITE) cleanall; fi

distclean:: cleanall
	rm -f Makefile.coq Makefile.coq.conf
	rm -f Makefile.test-suite.coq Makefile.test-suite.coq.conf

.PHONY: invoke-coqmakefile $(KNOWNFILES)

####################################################################
##                      Your targets here                         ##
####################################################################

# This should be the last rule, to handle any targets not declared above
%: invoke-coqmakefile
	@true

## mathcomp-zify 1.2.0+1.12+8.13

=== debian/changelog ===
mathcomp-zify (1.2.0+1.12+8.13-6) unstable; urgency=medium

  * Add an autopkgtest.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 05 Jul 2022 09:19:30 +0200

mathcomp-zify (1.2.0+1.12+8.13-5) unstable; urgency=medium

  * Use dh-coq.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 12 Jun 2022 14:14:04 +0200

mathcomp-zify (1.2.0+1.12+8.13-4) unstable; urgency=medium

  * Re-upload because of ABI breakage.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 02 Jun 2022 07:18:05 +0200

mathcomp-zify (1.2.0+1.12+8.13-3) unstable; urgency=medium

  * Re-upload because of ABI breakage.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 23 May 2022 13:48:50 +0200

mathcomp-zify (1.2.0+1.12+8.13-2) unstable; urgency=medium

  * Bump standards-version to 4.6.1.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 17 May 2022 21:41:09 +0200

mathcomp-zify (1.2.0+1.12+8.13-1) unstable; urgency=medium

  * Initial release. (Closes: #1010007)

 -- Julien Puydt <jpuydt@debian.org>  Fri, 22 Apr 2022 11:36:47 +0200

=== debian/control ===
Source: mathcomp-zify
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Julien Puydt <jpuydt@debian.org>
Section: ocaml
Priority: optional
Standards-Version: 4.6.1
Rules-Requires-Root: no
Build-Depends: coq,
               debhelper-compat (= 13),
               dh-coq, dh-ocaml,
               libcoq-mathcomp-algebra
Vcs-Browser: https://salsa.debian.org/ocaml-team/mathcomp-zify
Vcs-Git: https://salsa.debian.org/ocaml-team/mathcomp-zify.git
Homepage: https://github.com/math-comp/mczify

Package: libcoq-mathcomp-zify
Architecture: any
Depends: ${coq:Depends}, ${misc:Depends}
Provides: ${coq:Provides}
Suggests: ocaml-findlib
Description: Micromega arithmetic solvers for Mathematical Components
 This package enables the use of the micromega arithmetic solvers
 of Coq for goals stated with the Mathematical Components library,
 by extending the zify tactic.
 .
 The Mathematical Components library is a coherent repository of
 general-purpose formalized mathematical theories for the
 Coq proof assistant.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
include /usr/share/coq/coqvars.mk

%:
	dh $@ --with coq,ocaml

override_dh_auto_build:
	make

override_dh_auto_install:
	make install DESTDIR=$(CURDIR)/debian/tmp

override_dh_auto_test:
	make test-suite

## mathcomp-zify 1.3.0+1.12+8.13

=== debian/changelog ===
mathcomp-zify (1.3.0+1.12+8.13-1build4) noble; urgency=medium

  * Rebuild against latest coq

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 23 Dec 2023 07:24:31 -0500

mathcomp-zify (1.3.0+1.12+8.13-1build3) noble; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 23 Nov 2023 00:43:14 +0100

mathcomp-zify (1.3.0+1.12+8.13-1build2) noble; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 04 Nov 2023 20:14:05 +0100

mathcomp-zify (1.3.0+1.12+8.13-1build1) mantic; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 24 Jul 2023 19:06:58 +0200

mathcomp-zify (1.3.0+1.12+8.13-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards-version to 4.6.2.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 14 Jun 2023 15:47:44 +0200

## mathcomp-zify 1.5.0+2.0+8.16

=== debian/changelog ===
mathcomp-zify (1.5.0+2.0+8.16-4build9) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 31 Aug 2025 21:19:35 +0200

mathcomp-zify (1.5.0+2.0+8.16-4build8) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 19 Jun 2025 18:34:59 +0200

mathcomp-zify (1.5.0+2.0+8.16-4build7) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 28 May 2025 10:05:54 +0200

mathcomp-zify (1.5.0+2.0+8.16-4build6) questing; urgency=medium

  * Rebuild against latest coq libraries

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 08 May 2025 07:25:43 -0400

mathcomp-zify (1.5.0+2.0+8.16-4build5) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 19 Feb 2025 08:04:02 +0100

mathcomp-zify (1.5.0+2.0+8.16-4build4) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 12 Feb 2025 21:51:21 +0100

mathcomp-zify (1.5.0+2.0+8.16-4build3) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 31 Jan 2025 08:59:31 +0100

mathcomp-zify (1.5.0+2.0+8.16-4build2) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 23 Jan 2025 09:41:01 +0100

mathcomp-zify (1.5.0+2.0+8.16-4build1) plucky; urgency=medium

  * Rebuild against latest coq libraries

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 20 Dec 2024 08:43:40 -0500

mathcomp-zify (1.5.0+2.0+8.16-4) unstable; urgency=medium

  * Don't install the examples and run the test-suite
    (upstream doesn't maintain them actually).
  * Bump standards-version to 4.7.0.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 05 Dec 2024 17:01:11 +0100

mathcomp-zify (1.5.0+2.0+8.16-3) unstable; urgency=medium

  * Team upload
  * Do not hardcode /usr/lib/ocaml

 -- Stéphane Glondu <glondu@debian.org>  Sat, 03 Aug 2024 14:38:42 +0200

mathcomp-zify (1.5.0+2.0+8.16-2) unstable; urgency=medium

  * Bump version because of binary issue.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 24 Feb 2024 12:16:34 +0100

mathcomp-zify (1.5.0+2.0+8.16-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Fri, 22 Dec 2023 11:27:25 +0100

=== debian/rules ===
--- 
+++ 
@@ -13,4 +13,4 @@
 	make install DESTDIR=$(CURDIR)/debian/tmp
 
 override_dh_auto_test:
-	make test-suite
+	# disabled, upstream doesn't maintain them

=== debian/tests/control ===
Test-Command: coqtop -batch -rifrom mathcomp zify
Depends: @, coq

## mathcomp-zify 1.6.0%2B2.3%2B8.18

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: ocaml
 Priority: optional
-Standards-Version: 4.6.1
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Build-Depends: coq,
                debhelper-compat (= 13),

## mathcomp-zify 1.6.0+2.3+8.18

=== Makefile ===
--- 
+++ 
@@ -9,14 +9,6 @@
 
 .DEFAULT_GOAL := invoke-coqmakefile
 
-ifneq "$(TEST_SKIP_BUILD)" ""
-TEST_DEP :=
-LIBRARY_PATH :=
-else
-TEST_DEP := invoke-coqmakefile
-LIBRARY_PATH := -R theories mathcomp.zify
-endif
-
 COQMAKEFILE       = $(COQBIN)coq_makefile
 COQMAKE           = $(MAKE) --no-print-directory -f Makefile.coq
 COQMAKE_TESTSUITE = $(MAKE) --no-print-directory -f Makefile.test-suite.coq
@@ -25,7 +17,7 @@
 	$(COQMAKEFILE) -f Make -o Makefile.coq
 
 Makefile.test-suite.coq: Makefile Make.test-suite
-	$(COQMAKEFILE) -f Make.test-suite $(LIBRARY_PATH) -o Makefile.test-suite.coq
+	$(COQMAKEFILE) -f Make.test-suite -o Makefile.test-suite.coq
 
 invoke-coqmakefile: Makefile.coq
 	$(COQMAKE) $(filter-out $(KNOWNTARGETS),$(MAKECMDGOALS))

=== debian/changelog ===
mathcomp-zify (1.6.0+2.3+8.18-2) experimental; urgency=medium

  * Strenghten depends on coq/rocq.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 11 Nov 2025 20:41:14 +0100

mathcomp-zify (1.6.0+2.3+8.18-1) experimental; urgency=medium

  * Bump standards-version to 4.7.2.
  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 30 Oct 2025 08:12:14 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Priority: optional
 Standards-Version: 4.7.2
 Rules-Requires-Root: no
-Build-Depends: coq,
+Build-Depends: coq (>= 9),
                debhelper-compat (= 13),
                dh-coq, dh-ocaml,
                libcoq-mathcomp-algebra

=== debian/watch ===
version=4
https://github.com/math-comp/mczify/tags .*/v?([\d\.\+]+).tar.gz
